classification
Title: Modify OS X installer builds to package liblzma for the new lzma module
Type: enhancement Stage: needs patch
Components: Build, macOS Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: db3l, nadeem.vawda, ned.deily, nicholas.riley, python-dev, ronaldoussoren
Priority: normal Keywords: patch

Created on 2011-11-30 10:07 by ned.deily, last changed 2012-04-01 07:23 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
xz.patch nicholas.riley, 2012-03-13 21:05 review
Messages (5)
msg148646 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-11-30 10:07
Since AFAIK Apple does not currently ship a version of liblzma with Mac OS X, the OS X installer build script should be modified to build and link a version in support of the new lzma module (Issue6715).

Mac/BuildScript/build-installer.py

http://tukaani.org/xz/
msg152258 - (view) Author: David Bolen (db3l) Date: 2012-01-29 20:52
I recently built the xz library on my OSX Tiger buildbot (that also does the daily DMGs via the build script), and Nadeem mentioned this ticket.

As an FYI, I wasn't able to get the xz library (5.0.3) to configure/build as a universal build (i386/ppc) in a single step (as in the build script recipes).  It appears to use some compile options incompatible with multiple -arch.

For my buildbot, I built it twice (as i386 and ppc) and then combined the libraries (static and shared) using lipo.  This appears to work for both the regular buildbot and the DMG creation.

In peeking at the build script this approach is a bit beyond the current recipe process, so would need more work than just a new recipe.  Assuming a build/lipo process is considered legitimate for release installers, of course, I'm not that sure how much I ended up "cheating".
msg155666 - (view) Author: Nicholas Riley (nicholas.riley) * Date: 2012-03-13 21:05
The configure problem is soluble with --disable-dependency-tracking (it was the -M* options to gcc that caused the problem); something similar is used for SQLite.

The attached patch should do it...
msg157261 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-01 07:20
New changeset 0e1177499762 by Ned Deily in branch 'default':
Issue #13507: OS X installer builds now build liblzma for the new
http://hg.python.org/cpython/rev/0e1177499762
msg157262 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-04-01 07:23
Thanks for the patch.  Applied to default for 3.3.
History
Date User Action Args
2012-04-01 07:23:18ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg157262
2012-04-01 07:20:10python-devsetnosy: + python-dev
messages: + msg157261
2012-03-13 21:05:05nicholas.rileysetfiles: + xz.patch

nosy: + nicholas.riley
messages: + msg155666

keywords: + patch
2012-01-29 20:52:12db3lsetnosy: + db3l
messages: + msg152258
2011-11-30 10:07:58ned.deilycreate